uuid: b890fde5-59f0-4b1e-98ee-eba81b1e0472
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_contact_name
    - node.type.contact
  module:
    - name
id: node.contact.field_contact_name
field_name: field_contact_name
entity_type: node
bundle: contact
label: Name
description: ''
required: false
translatable: false
default_value: {  }
default_value_callback: ''
settings:
  components:
    title: false
    given: true
    middle: true
    family: true
    generational: false
    credentials: false
  minimum_components:
    title: false
    given: true
    middle: false
    family: true
    generational: false
    credentials: false
  max_length:
    title: 31
    given: 63
    middle: 127
    family: 63
    generational: 15
    credentials: 255
  labels:
    title: Title
    given: First
    middle: 'Middle name(s)'
    family: Last
    generational: Generational
    credentials: Credentials
  allow_family_or_given: false
  autocomplete_source:
    title:
      title: title
    given: {  }
    middle: {  }
    family: {  }
    generational:
      generational: '0'
    credentials: {  }
  autocomplete_separator:
    title: ' '
    given: ' -'
    middle: ' -'
    family: ' -'
    generational: ' '
    credentials: ', '
  title_options:
    - '-- --'
    - Mr.
    - Mrs.
    - Miss
    - Ms.
    - Dr.
    - Prof.
  generational_options:
    - '-- --'
    - Jr.
    - Sr.
    - I
    - II
    - III
    - IV
    - V
    - VI
    - VII
    - VIII
    - IX
    - X
  sort_options:
    title: false
    generational: false
  widget_layout: stacked
  component_layout: default
  show_component_required_marker: true
  credentials_inline: false
  override_format: default
  field_type:
    title: select
    given: text
    middle: text
    family: text
    generational: select
    credentials: text
  size:
    title: 6
    given: 20
    middle: 20
    family: 20
    generational: 5
    credentials: 35
  title_display:
    title: description
    given: description
    middle: description
    family: description
    generational: description
    credentials: description
  preferred_field_reference: ''
  preferred_field_reference_separator: ', '
  alternative_field_reference: ''
  alternative_field_reference_separator: ', '
field_type: name
